Listar solicitudes de autorización de Pix Automático
curl --request GET \
--url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests \
--header 'Authorization: Bearer <token>' \
--header 'X-Account-Id: <x-account-id>'import requests
url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests"
headers = {
"X-Account-Id": "<x-account-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};
fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"acceptedMaxAmount": "500.00",
"accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"amount": {
"fixed": "29.90",
"max": "500.00",
"min": "10.00"
},
"approvingAt": "2023-11-07T05:31:56Z",
"cancellationCode": "ACCL",
"cancellationRequester": "PSP_PAYEE",
"cancelledAt": "2023-11-07T05:31:56Z",
"confirmedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"description": "Streaming subscription",
"destination": {
"account": "123456",
"accountType": "CACC",
"bank": "30306294",
"branch": "0001",
"document": "12345678000199",
"key": "contato@streaming.co",
"name": "Streaming Co",
"personType": "LEGAL_PERSON"
},
"expiredAt": "2023-11-07T05:31:56Z",
"externalRequestId": "RREC-2026-04-001",
"firstChargeId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
"journey": "J1",
"payeeRejectionCode": "MD20",
"payeeRejectionDescription": "<string>",
"periodicity": {
"customDays": 30,
"type": "MONTHLY"
},
"rejectedAt": "2023-11-07T05:31:56Z",
"replyFailedAt": "2023-11-07T05:31:56Z",
"replyFailureReason": "<string>",
"retryPolicy": "RETRY_3X_7D",
"status": "PENDING",
"updatedAt": "2023-11-07T05:31:56Z",
"validUntil": "2026-06-30T23:59:59Z"
}
],
"limit": 10,
"page": 1,
"total": 42
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}{
"code": "<string>",
"title": "<string>",
"message": "<string>"
}Listar solicitudes de autorización de Pix Automático
Lista las solicitudes de autorización que pertenecen al pagador autenticado, con filtros opcionales y paginación por página/límite.
GET
/
v1
/
recurrences
/
payer
/
authorization-requests
Listar solicitudes de autorización de Pix Automático
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Encabezados
Identificador único de la cuenta del Ledger de Midaz (formato UUID).
Parámetros de consulta
Número máximo de elementos por página.
Rango requerido:
1 <= x <= 100Número de página para la paginación.
Rango requerido:
x >= 1Filtra por estado
Opciones disponibles:
PENDING, INITIATED, APPROVING, CONFIRMED, REJECTED, PAYMENT_FAILED, REPLY_FAILED, CANCELLED, EXPIRED Límite inferior ISO 8601 UTC sobre createdAt
Límite superior ISO 8601 UTC sobre createdAt
Dirección de ordenamiento: asc o desc.
Opciones disponibles:
asc, desc ¿Esta página le ayudó?
Iniciar conciliación completa
Anterior
Obtener una solicitud de autorización de Pix Automático
Siguiente
⌘I

